This is a super-repository skeleton containing a [Tup](http://gittup.org/tup) 
build system for Genode components and packages. It requires a Genode SDK to be 
present and the PKG_CONFIG_PATH variable to be set appropriately, most likely to
`/opt/genode-sdk-x86_64/pkgconfig`. See http://github.com/ehmry/genode/releases 
for an SDK. A the `pkg-config` tool and copy of the Genode toolchain is required 
as well, see https://genode.org/download/tool-chain.

To use this build-system, edit the `tup.config` to match your depot user and PGP 
key as well as the version of the SDK. Unfortunately the build-system lacks any 
knowledge about what packages are available in external depots, so external 
package versions must be explicitly stated in `archives` file templates or 
within `tup.config`. All `archives` files are treated as a template by 
convention and and `@...@` string will be replaced by a corresponding CONFIG_... 
value defined in `tup.config`.

Please refer to the the [Tup documentation](http://gittup.org/tup/) for details 
on how the build-system works.

See http://github.com/ehmry/genode-ehmry as an example.
